Name:           open_jtalk
Version:        1.07
Release:        5%{?dist}
Summary:        Japanese TTS System

Group:          Applications/Multimedia
License:        BSD + Creative Commons Attribution 3.0
URL:            http://open-jtalk.sourceforge.net/
Source0:        http://downloads.sourceforge.net/open-jtalk/%{name}-%{version}.tar.gz
Source1:        http://downloads.sourceforge.net/open-jtalk/hts_voice_nitech_jp_atr503_m001-1.05.tar.gz
#Source2:        MMDAgent_Example-1.4.zip
Source2:        mmdagent_mei.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  hts_engine
Requires:       mecab-naist

Patch0:         open_jtalk-1.07-label.patch

%description
The Open JTalk is a Japanese TTS System. It has been being developed by HTS
working group (see "Who we are" below) and some graduate students in Nagoya
Institute of Technology (see "AUTHORS" in the same directory).

%package -n mecab-naist
Summary:  Naist dictionary for MeCab
Group:    Applications/Text
Requires: mecab

%description -n mecab-naist
%{summary}.

%package voice-nitech
Summary:  Nitech Japanese Speech Database "NIT ATR503 M001"
Group:    Applications/Multimedia
Requires: %{name} = %{version}-%{release}

%description voice-nitech
HTS voice trained by using the Nitech Japanese Speech Database "NIT ATR503
M001" is released as a part of Open JTalk (http://open-jtalk.sourceforge.net/).
This voice consists of HMMs trained by using HMM-based Speech Synthesis System
(HTS) version 2.3 alpha (http://hts.sp.nitech.ac.jp/).

%package voice-mmd
Summary:  HTS Voice "Mei"
Group:    Applications/Multimedia
Requires: %{name} = %{version}-%{release}

%description voice-mmd
The work is released as a part of MMDAgent (http://www.mmdagent.jp/).

%prep
%setup -q
gzip -dc %{SOURCE1} | tar -xf -
#unzip %{SOURCE2}
xz -dc %{SOURCE2} | tar -xf -

%build
%configure \
	--with-charset=UTF-8 \
	--with-hts-engine-header-path=%{_includedir} \
	--with-hts-engine-library-path=%{_libdir}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT dicdir=%{_libdir}/mecab/dic/naist
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/voice
pushd hts_voice_nitech_jp_atr503_m001-1.05
	cp -p nitech_jp_atr503_m001.htsvoice $RPM_BUILD_ROOT%{_datadir}/%{name}/voice/
popd
pushd MMDAgent_Example-1.4/Voice/mei
	cp -p *.htsvoice $RPM_BUILD_ROOT%{_datadir}/%{name}/voice/
popd

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/voice

%files -n mecab-naist
%{_libdir}/mecab/dic/naist/*

%files voice-nitech
%doc hts_voice_nitech_jp_atr503_m001-1.05/{README,INSTALL,COPYING}
%{_datadir}/%{name}/voice/nitech_jp_atr503_m001.htsvoice

%files voice-mmd
%doc MMDAgent_Example-1.4/Voice/mei/*.txt
%{_datadir}/%{name}/voice/mei_angry.htsvoice
%{_datadir}/%{name}/voice/mei_bashful.htsvoice
%{_datadir}/%{name}/voice/mei_happy.htsvoice
%{_datadir}/%{name}/voice/mei_normal.htsvoice
%{_datadir}/%{name}/voice/mei_sad.htsvoice

%changelog
* Fri Mar  7 2014 momo-i <webmaster@momo-i.org> - 1.07-5
- mecab patch delete

* Fri Mar  7 2014 momo-i <webmaster@momo-i.org> - 1.07-4
- Add jpcommon_label.c patch

* Wed Mar  5 2014 momo-i <webmaster@momo-i.org> - 1.07-3
- Update specfile

* Wed Mar  5 2014 momo-i <webmaster@momo-i.org> - 1.07-2
- Add example voice

* Wed Mar  5 2014 momo-i <webmaster@momo-i.org> - 1.07-1
- Initial rpm release.

